FROM node:14 as build 
COPY ./bhc_ui /code
WORKDIR /code/
RUN ls -l
#RUN npm update
RUN npm install 
RUN npm install -g @angular/cli
RUN ng build #--prod
RUN ls -l bhc-metatagging-build-files 
#Stage
FROM nginx:1.17.1-alpine
COPY --from=build /code/bhc-metatagging-build-files/ /usr/share/nginx/html
